CLICK-UNCOMBINE(1)

NAME
click-uncombine - separates a component from a combined Click configuration

SYNOPSIS
click-uncombine [param=value ...] [options] [router-file [component]]

DESCRIPTION
The click-uncombine tool reads a combined router configuration created by and outputs one of its components. The chosen component is specified by its name, as originally specified to

OPTIONS
If any filename argument is a single dash "-", click-uncombine will use the standard input or output instead, as appropriate. You can give one or two non-option arguments; the first is the router file and the second, the component name.

-f file
--file file
    Read the combined router configuration from file. The default is the standard input.

-n name
--name name
    Output the router component named name.

-o file
--output file
    Write the output router configuration to file. The default is the standard output.

--help
    Print usage information and exit.

--version
    Print the version number and some quickie warranty information and exit.

SEE ALSO

AUTHOR
Eddie Kohler, kohler@cs.ucla.edu
http://www.pdos.lcs.mit.edu/click/